RAX(1)

NAME
rax - radare base converter

SYNOPSIS
rax [-e] [-s] [-h] [-|value] [...]

DESCRIPTION
This command is part of the radare project.

This command allows you to convert values between positive and negative integer, float octal, binary and hexadecimal values.

With no arguments, rax reads values from stdin. You can pass one or more values as arguments, and swap endiannes of the output with the '-e' flag.

Using '-' as argument rax will read binary data from stdin and print out the hex pairs to stdout.

$ rax -33 -e -33 0xffffffdf 0xdfffffff

The '-s' flag converts radare into a hexpair-to-binary converter, so you can do 'unpack' hexpair encoded strings easily.

$ rax -s 41 42 43 ABC

It is very useful tool for scripting, so you can read floating point values, or get the integer offset of a jump or a stack delta when analyzing programs.

Available variable types are:

integer 10 zeropadding 010 float 10f hexadecimal 0x10 hex to float Fx10 oct to hex 023 (or 23o) hex to oct Ox20 (note 'O' is not zero) bin to hex 1101b hex to bin Bx63

Available flags are:

-e  Swap endian.

-h  Show usage help message.

SEE ALSO

radiff(1), radare(1), radarerc(5), rabin(1), hasher(1), rsc(1), rasc(1), rasm(1), rfile(1), xrefs(1)

AUTHORS

pancake <pancake@youterm.com>